%define name krb5-fermi-base
%define path /usr/krb5
%define version 1.0
%define release 2

Summary: Base setuo to Fermize Kerberos
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: MIT, freely distributable.
URL: http://web.mit.edu/kerberos/www/
PreReq: fileutils
Group: Fermi
BuildArchitectures: noarch
Packager: Frank Nagy <nagy@fnal.gov>
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: krb5-workstation krb5-fermi-config
Obsoletes: krb5-fermi-baseconfig

%description
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords.
This package sets up the base configuration for Fermiized Kerberos
including the /usr/krb5 directory tree and symbolic links to the
vendor-supplied Kerberos utilities in /usr/kerberos.

%prep
%setup
rm -rf $RPM_BUILD_ROOT

%install
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/bin
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/config
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/include
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/lib
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man1
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man5
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man8
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/sbin

ln -sf /usr/kerberos/bin/ftp $RPM_BUILD_ROOT/%{path}/bin/
ln -sf /usr/kerberos/bin/kdestroy $RPM_BUILD_ROOT/%{path}/bin/
ln -sf /usr/kerberos/bin/kinit $RPM_BUILD_ROOT/%{path}/bin/
ln -sf /usr/kerberos/bin/klist $RPM_BUILD_ROOT/%{path}/bin/
ln -sf /usr/kerberos/bin/kpasswd $RPM_BUILD_ROOT/%{path}/bin/
ln -sf /usr/kerberos/bin/krb524init $RPM_BUILD_ROOT/%{path}/bin/
ln -sf /usr/kerberos/bin/ksu $RPM_BUILD_ROOT/%{path}/bin/
ln -sf /usr/kerberos/bin/rcp $RPM_BUILD_ROOT/%{path}/bin/
ln -sf /usr/kerberos/bin/rlogin $RPM_BUILD_ROOT/%{path}/bin/
ln -sf /usr/kerberos/bin/rsh $RPM_BUILD_ROOT/%{path}/bin/
ln -sf /usr/kerberos/bin/sim_client $RPM_BUILD_ROOT/%{path}/bin/
ln -sf /usr/kerberos/bin/telnet $RPM_BUILD_ROOT/%{path}/bin/
ln -sf /usr/kerberos/bin/uuclient $RPM_BUILD_ROOT/%{path}/bin/
ln -sf /usr/kerberos/bin/v4rcp $RPM_BUILD_ROOT/%{path}/bin/

ln -sf /usr/kerberos/sbin/ftpd $RPM_BUILD_ROOT/%{path}/sbin/
ln -sf /usr/kerberos/sbin/gss-server $RPM_BUILD_ROOT/%{path}/sbin/
ln -sf /usr/kerberos/sbin/kadmin $RPM_BUILD_ROOT/%{path}/sbin/
ln -sf /usr/kerberos/sbin/klogind $RPM_BUILD_ROOT/%{path}/sbin/
ln -sf /usr/kerberos/sbin/krb5-send-pr $RPM_BUILD_ROOT/%{path}/sbin/
ln -sf /usr/kerberos/sbin/kshd $RPM_BUILD_ROOT/%{path}/sbin/
ln -sf /usr/kerberos/sbin/ktutil $RPM_BUILD_ROOT/%{path}/sbin/
ln -sf /usr/kerberos/sbin/login.krb5 $RPM_BUILD_ROOT/%{path}/sbin/
ln -sf /usr/kerberos/sbin/sim_server $RPM_BUILD_ROOT/%{path}/sbin/
ln -sf /usr/kerberos/sbin/sserver $RPM_BUILD_ROOT/%{path}/sbin/
ln -sf /usr/kerberos/sbin/telnetd $RPM_BUILD_ROOT/%{path}/sbin/
ln -sf /usr/kerberos/sbin/uuserver $RPM_BUILD_ROOT/%{path}/sbin/

install -m 0644 kdc.conf.5 $RPM_BUILD_ROOT/%{path}/man/man5/kdc.conf.5

mkdir -p $RPM_BUILD_ROOT/etc/profile.d

#install -m 0755 aklog.sh $RPM_BUILD_ROOT/etc/profile.d/aklog.sh
#install -m 0755 aklog.csh $RPM_BUILD_ROOT/etc/profile.d/aklog.csh
install -m 0755 z_krb5.csh $RPM_BUILD_ROOT/etc/profile.d/z_krb5.csh
install -m 0755 z_krb5.sh $RPM_BUILD_ROOT/etc/profile.d/z_krb5.sh

# Create directories for kcron which is installed by krb5-fermi-addons

install -m 0711 -d $RPM_BUILD_ROOT/var/adm
install -m 2711 -d $RPM_BUILD_ROOT/var/adm/krb5

%files
%attr(0755,root,root)  %dir %{path}
%attr(0755,root,root)  %dir %{path}/bin
%attr(0755,root,root)  %dir %{path}/config
%attr(0755,root,root)  %dir %{path}/include
%attr(0755,root,root)  %dir %{path}/lib
%attr(0755,root,root)  %dir %{path}/man
%attr(0755,root,root)  %dir %{path}/man/man1
%attr(0755,root,root)  %dir %{path}/man/man5
%attr(0755,root,root)  %dir %{path}/man/man8
%attr(0755,root,root)  %dir %{path}/sbin

%attr(0777,root,root)  %{path}/bin/ftp
%attr(4777,root,root)  %{path}/bin/kdestroy
%attr(0777,root,root)  %{path}//bin/kinit
%attr(0777,root,root)  %{path}/bin/klist
%attr(0777,root,root)  %{path}/bin/kpasswd
%attr(0777,root,root)  %{path}/bin/krb524init
%attr(4777,root,root)  %{path}/bin/ksu
%attr(0777,root,root)  %{path}/bin/rcp
%attr(0777,root,root)  %{path}/bin/rlogin
%attr(0777,root,root)  %{path}/bin/rsh
%attr(0777,root,root)  %{path}/bin/sim_client
%attr(0777,root,root)  %{path}/bin/telnet
%attr(0777,root,root)  %{path}/bin/uuclient
%attr(4777,root,root)  %{path}/bin/v4rcp

%attr(0777,root,root)  %{path}/sbin/ftpd
%attr(0777,root,root)  %{path}/sbin/gss-server
%attr(0777,root,root)  %{path}/sbin/kadmin
%attr(0777,root,root)  %{path}/sbin/klogind
%attr(0777,root,root)  %{path}/sbin/krb5-send-pr
%attr(0777,root,root)  %{path}/sbin/kshd
%attr(0777,root,root)  %{path}/sbin/ktutil
%attr(0777,root,root)  %{path}/sbin/login.krb5
%attr(0777,root,root)  %{path}/sbin/sim_server
%attr(0777,root,root)  %{path}/sbin/sserver
%attr(0777,root,root)  %{path}/sbin/telnetd
%attr(0777,root,root)  %{path}/sbin/uuserver

%attr(0644,root,root)  %{path}/man/man5/kdc.conf.5

%attr(0755,root,root)  %dir /etc/profile.d/

#%config /etc/profile.d/aklog.sh
#%config /etc/profile.d/aklog.csh
%config /etc/profile.d/z_krb5.sh
%config /etc/profile.d/z_krb5.csh

%attr(0711,root,root)  %dir /var/adm/
%attr(2711,root,root)  %dir /var/adm/krb5/

%changelog
* Wed Apr 14 2010 Frank Nagy <nagy@fnal.gov> 1.0-2
- Updated z_krb5.* scripts (stored in /etc/profile.d/) to speed-up by 
- reducing unnecessary invocations of aklog when spawning subshells.

* Fri Oct 09 2009 Frank Nagy <nagy@fnal.gov> 1.0-1
- Created from Troy's krb5-fermi-config for SLF5.x and my original
- krb5-fermi-baseconfig attempt
